#include "InstanceData.h"

int numberOfJobs = 0;
int numberOfResources;
int *resourceCapacities;
int **resourceAvailability;
JobInfo *jobInfos;
int *predecessorsFlat;
int *successorsFlat;
int *consumptionFlat;
int *consumedResourcesFlat;
int *consumedCapacitiesFlat;

find *findFunctions;
update *updateFunctions;

find *findBfFunctions;
find *findNonBfFunctions;
find *findStatFunctions;
update *updateBfFunctions;
update *updateNonBfFunctions;

int *bloomFilters = nullptr;
int **bfDictionary = nullptr;
int bfFullAvailability;
int *bfResourcesFlat;
int *bfCapacitiesFlat;

BloomFilterBit *bfBits;

int falsePositives;

int GetCorrectBf(int slot)
{
	int filter = 0;
	for (int resource = numberOfResources - 1; resource >= 0; resource--)
		filter |= bfDictionary[resource][resourceAvailability[resource][slot]];

	return filter;
}

